Class Specialization
Echoer
Outputs tuples of the echoRepeats last elements of the input stream.

Pipe

Echoer

Pipe<TInput, Echoer<echoRepeats, omitFirst> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
echoRepeats | The tuple length. Remarks: The tuples contain elements in[i]in[i-1]...in[i-(echoRepeats-1)].
omitFirst | Omit half filled tuples. If true, the output stream is echoRepeats-1 elements shorter than the input stream. If false, the lengths are identical and the tuple is filled with blanks (default constructed elements) for undefined entries.

Remarks
The output type is a Tuple of input elements and length echoRepeats (i.e. Tuple<Value<TInput>::Type, echoRepeats>).
The tuples are sequences of the form in[i]in[i-1]in[i-2]..in[i-echoRepeats+1]. For omitFirst=false i begins with 0 and for omitFirst=true i begins with echoRepeats-1.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51